Name:		nvclock
Version:	0.8b2
Release:	1%{?dist}
Summary:	Clock speed adjustment tool for NVIDIA graphics cards
Group:		User Interface/X Hardware Support
License:	GPL
URL:		http://www.linuxhardware.org/nvclock/
Source0:	http://www.linuxhardware.org/nvclock/nvclock%{version}.tar.gz
Source3:	nvclock.png
#URL5:		http://gentoo-wiki.com/HARDWARE_Nvidia_Fanspeed_Auto-Adjustment
Source5:	nvidiafanspeed
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	qt-devel

Requires:	xorg-x11-drv-nvidia

%description
NVClock is a small program for tweaking nVidia videocards. Originally it was
only meant for overclocking but these days it can do much more. For instance
it contains hardware monitoring support using which you can view the
temperatures and fanspeeds on cards that support it.

Further it allows tweaking of OpenGL settings using the NV-CONTROL extension
supported by the nVidia Linux/FreeBSD drivers.

%package	gtk
Summary:	Provides gtk-gui for %{name}
Group:		User Interface/X Hardware Support
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}
Conflicts:	%{name}-qt

%description	gtk
gtk-gui files for %{name}

%package	qt
Summary:	Provides qt-gui for %{name}
Group:		User Interface/X Hardware Support
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name}-gtk

%description	qt
qt-gui files for %{name}

%prep
%setup -q -n %{name}%{version}


%build
sh /etc/profile.d/qt.sh
%configure -q 		\
	--enable-gtk	\
	--enable-qt	
make 
## kwizart - disabled because it do not work
#%{?_smp_mflags} 

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%makeinstall


cat > nvclock-qt.desktop <<EOF
[Desktop Entry]
Name=nvclock
Comment= Clock speed adjustment tool for NVIDIA graphics cards (QT)
Exec=nvclock_qt
Icon=nvclock.png
Terminal=false
Type=Application
Encoding=UTF-8
Version=%{version}
Categories=GNOME;Application;Settings;System;SystemSetup;
EOF

desktop-file-install -m 0644 --vendor livna		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category X-Livna				\
	nvclock-qt.desktop


cat > nvclock-gtk.desktop <<EOF
[Desktop Entry]
Name=nvclock
Comment= Clock speed adjustment tool for NVIDIA graphics cards (GTK)
Exec=nvclock_gtk
Icon=nvclock.png
Terminal=false
Type=Application
Encoding=UTF-8
Version=%{version}
Categories=GNOME;Application;Settings;System;SystemSetup;
EOF

desktop-file-install -m 0644 --vendor livna		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category X-Livna				\
	nvclock-gtk.desktop


install -D -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/nvclock.png
install -D -p -m 700 %{SOURCE5} $RPM_BUILD_ROOT%{_sbindir}/nvidiafanspeed

## kwizart - provides docs twice, deleted once.
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/nvclock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ABOUT AUTHORS COPYING FAQ INSTALL README
%{_bindir}/nvclock
%{_mandir}/man1/nvclock.1.gz
%{_datadir}/pixmaps/nvclock.png
%{_sbindir}/nvidiafanspeed

%files gtk
%defattr(-,root,root,-)
%{_bindir}/nvclock_gtk 
%{_datadir}/applications/*nvclock-gtk.desktop

%files qt
%defattr(-,root,root,-)
%{_bindir}/nvclock_qt
%{_datadir}/applications/*nvclock-qt.desktop


%changelog
* Fri Nov 28 2006 kwizart < kwizart at gmail.com > - 0.8b2-1
- Update to 0.8b2
- Drop epoch
- renew description.
- Split gtk & qt packages.
- Use nvidiafanspeed from
 http://gentoo-wiki.com/HARDWARE_Nvidia_Fanspeed_Auto-Adjustment
- Drop nvclock0.7-configure.in-qtdir.patch

* Sat Feb  7 2004 Dams <anvil[AT]livna.org> 0:0.7-0.lvn.6
- Converted xpm to png
- Some misc cleanups
- BuildReq:desktop-file-utils
- Updated desktop entries

* Sun Jan 25 2004 Keith G. Robertson-Turner <nvidia-devel[AT]genesis-x.nildram.co.uk> - 0:0.7-0.lvn.5
- Minor fix for double entry in manifest and install

* Sun Jan 25 2004 Keith G. Robertson-Turner <nvidia-devel[AT]genesis-x.nildram.co.uk> - 0:0.7-0.lvn.4
- Added opts for qt and gtk builds
- Added Desktop entries for the GUIs and a basic icon

* Fri Jan 23 2004 Dams <anvil[AT]livna.org> 0:0.7-0.lvn.3
- Spec file cleanup
- Added patch to fix qt GUI

* Mon Jan 19 2004 Keith G. Robertson-Turner <nvidia-devel[AT]genesis-x.nildram.co.uk> - 0:0.7-0.lvn.2
- Workaround for source tarball paths problem
- Added automake and autoconf to Buildrequires
- Safer permissions for nvclock and nvclock_gtk
- Changed package Group to a valid entry

* Fri May 03 2003 Keith G. Robertson-Turner <nvidia-devel[AT]genesis-x.nildram.co.uk> - 0:0.7-0.lvn.1
- Initial RPM release.

